Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtPoint3D Class Reference

`#include <qwt_point_3d.h>`

List of all members.

## Public Member Functions

| QwtPoint3D ()
| QwtPoint3D (double x, double y, double z)
| QwtPoint3D (const QwtPoint3D &)
| QwtPoint3D (const QPointF &)
bool | isNull () const
bool | operator!= (const QwtPoint3D &) const
bool | operator== (const QwtPoint3D &) const
double & | rx ()
double & | ry ()
double & | rz ()
void | setX (double x)
void | setY (double y)
void | setZ (double y)
QPointF | toPoint () const
double | x () const
double | y () const
double | z () const

## Detailed Description

QwtPoint3D class defines a 3D point in double coordinates.

## Constructor & Destructor Documentation

QwtPoint3D::QwtPoint3D | ( |  | ) |

inline

Constructs a null point.

See also:
  isNull()

QwtPoint3D::QwtPoint3D | ( | const QwtPoint3D & | other | ) |

inline

Copy constructor. Constructs a point using the values of the point specified.

QwtPoint3D::QwtPoint3D | ( | const QPointF & | other | ) |

inline

Constructs a point with x and y coordinates from a 2D point, and a z coordinate of 0.

## Member Function Documentation

bool QwtPoint3D::isNull | ( |  | ) | const

inline

Returns true if the point is null; otherwise returns false.

A point is considered to be null if x, y and z-coordinates are equal to zero.

QPointF QwtPoint3D::toPoint | ( |  | ) | const

inline

Rounds 2D point, where the z coordinate is dropped.